QGIS Application - Bug report #18604
Projects load extremely slowly [2.18.18]
2018-03-31 10:45 PM - Patrick Dunford

Status: Closed

Priority: Normal

Assignee:

Category: Project Loading/Saving

Affected QGIS version:2.18.17
Operating System: Debian 9.3
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: worksforme

Copied to github as #: 26492

Description

Under 2.18.18 some projects are extremely slow loading, that was not the case under 2.18.17.

Will send a sample project within the day.

History

#1 - 2018-04-01 09:28 AM - Patrick Dunford

So far it looks like the issue might be related to the availability of network resources. However a project which had the issue of network unavailability

(SMB) also failed to load a number of local layers for unknown reason.

It would seem for the network the speed at which a networked resource is evaluated for being available or not, could be much slower than for a local

resource.

I need to do some more testting to try to nail down exactly what is happening since it is far from clear ATM.

#2 - 2019-01-21 12:35 AM - Jiirgen Fischer
- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#3 - 2019-02-23 12:09 PM - matteo ghetta
- Status changed from Feedback to Closed

#4 - 2019-02-23 01:30 PM - Giovanni Manghi

- Resolution set to worksforme

Please set the resolution when closing tickets.
